API referenceScenes
Update Scene
Rename, re-describe or re-theme a scene. Only the fields sent change;
theme_id: null un-themes. Requires the write scope.
Authorization
apiKey AuthorizationBearer <token>
First-party API key (sbk_live_…), presented as a Bearer token.
In: header
Path Parameters
scene_id*Scene Id
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
What may be changed about a scene. Omitted fields stay as they are;
theme_id: null explicitly un-themes the scene.
Response Body
application/json
application/problem+json
curl -X PATCH "https://example.com/v1/scenes/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "slug": "string", "name": "string", "description": "string", "workflow": "string", "status": "string", "triangle_count": 0, "asset_count": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}